INSTALL(1)

NAVN
install - copy files and set attributes

OVERSIKT
install [VALG]... [-T] KILDE MÅL
install [VALG]... KILDE... MAPPE
install [VALG]... -t MAPPE KILDE...
install [VALG]... -d MAPPE...

BESKRIVELSE

This install program copies files (often just compiled) into destination locations you choose. If you want to download and install a ready-to-use package on a GNU/Linux system, you should instead be using a package manager like yum(1) or apt-get(1).

Med de tre første metodene kopieres KILDE til MÅL, eller flere KILDE(r) til eksisterende MAPPE, mens tillatelser og (gruppe-)eierskap stilles inn. Med den fjerde metoden opprettes alle komponentene i angitt(e) MAPPE(r).

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

--backup[=CONTROL]
    Lag en sikkerhetskopi av hver målfil.

-b  Likner --backup, men kan ikke brukes med argumenter.

-c  (ignorert)

-C, --compare
    compare content of source and destination files, and if no change to content, ownership, and permissions, do not modify the destination at all

-d, --directory
    Behandle alle argumenter som mappenavn. Lag alle komponenter i de spesifiserte mappene.

-D  Lag alle ledende komponenter av MÅL bortsett fra den siste, eller alle komponenter i --target-directory, og kopier deretter KILDE til MÅL.

-g, --group=GRUPPE
    Velg gruppeeierskap istedenfor prosessens gjeldende gruppe.

-m, --mode=MODUS
    Velg rettighetsmodus (som med chmod), i stedet for «rwxr-xr-x».

-o, --owner=EIER
    Velg eier (kun for superbruker).

-p, --preserve-timestamps
    Skriv tilgangs- og/eller endringstidspunktet fra KILDEfiler til respektive målfiler.

-s, --strip
    Tøm symboltabeller.

--strip-program=PROGRAM
    Program som skal brukes til å tømme binærfiler.

-S, --suffix=ETTERN
    Overstyr standard filetternavn på sikkerhetskopier.

-t, --target-directory=MAPPE
    Kopier alle KILDEargumenter til MAPPE.

-T, --no-target-directory
    Behandle MÅL som en normal fil.

-v, --verbose
    Skriv ut navnet på hver mappe etterhvert som de opprettes.

--preserve-context
    Bevar SELinux-sikkerhetskontekst.

-Z  set SELinux security context of destination file and each created directory to default type

--context[=KON]
    Tilsvarer -Z, (eller, hvis CTX er valgt, bruk KON som SELinux- eller SMACK-sikkerhetskontekst).

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Suffikset for sikkerhetskopierte filer er «~», med mindre du velger noe annet med --suffix eller SIMPLE_BACKUP_SUFFIX. Metoden for versjonskontroll kan velges med --backup eller via miljøvariabelen VERSION_CONTROL. Følgende verdier er gyldige:

none, off
    ikke lag sikkerhetskopier (ikke engang med --backup)

numbered, t
    lag nummererte sikkerhetskopier

existing, nil
    nummererte sikkerhetskopier hvis det allerede finnes, enkle (simple) ellers

simple, never
    alltid lag enkle sikkerhetskopier

OPPHAVSMANN
Skrevet af David MacKenzie.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/install>
eller lokalt: info '(coreutils) install invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.